org.apache.avro.hadoop.io

## Class AvroSequenceFile.Reader

- java.lang.Object
- - org.apache.hadoop.io.SequenceFile.Reader
  - - org.apache.avro.hadoop.io.AvroSequenceFile.Reader

All Implemented Interfaces:
  Closeable, AutoCloseable

Enclosing class:
  AvroSequenceFile

    public static class AvroSequenceFile.Reader
    extends SequenceFile.Reader

A reader for SequenceFiles that may contain Avro data.

### Nested Class Summary

Nested Classes
`static class` `AvroSequenceFile.Reader.Options` A helper class to encapsulate the options that can be used to construct a Reader.

### Nested classes/interfaces inherited from class org.apache.hadoop.io.SequenceFile.Reader

`SequenceFile.Reader.Option`

### Constructor Summary

Constructors
Constructor and Description
`Reader(AvroSequenceFile.Reader.Options options)` Creates a new `Reader` from a SequenceFile that supports Avro data.

### Method Summary

### Methods inherited from class org.apache.hadoop.io.SequenceFile.Reader

`bufferSize, close, createValueBytes, file, getCompressionCodec, getCompressionType, getCurrentValue, getCurrentValue, getKeyClass, getKeyClassName, getMetadata, getPosition, getValueClass, getValueClassName, isBlockCompressed, isCompressed, length, next, next, next, nextRaw, nextRawKey, nextRawValue, openFile, seek, start, stream, sync, syncSeen, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Reader

    public Reader(AvroSequenceFile.Reader.Options options)
           throws IOException

Creates a new `Reader` from a SequenceFile that supports Avro data.

Parameters:
  `options` - The reader options.
Throws:
  `IOException` - If the reader cannot be initialized.